ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetDeviceMap.InetDeviceMapItem

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetDeviceMap.InetDeviceMapItem

- Enclosing class:
    InetDeviceMap

      public class InetDeviceMap.InetDeviceMapItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDeviceMapItem(InetDeviceMap.InetDeviceMapItem parent, InetDevice device, ParameterMap config, ParameterMap selfConfig, java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>> flowAgentIfaceMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetDeviceMap.InetDeviceMapItem` | `findRoot(java.util.Set<java.lang.Integer> rootDeviceTypeId)`
    `java.util.Set<java.lang.Integer>` | `getAncestorIds()` ID всех предков.
    `ParameterMap` | `getConfig()` Конфигурация с наследованием от устройств-предков.
    `java.util.Set<java.lang.Integer>` | `getDescendantIds()` ID всех потомков.
    `InetDevice` | `getDevice()`
    `java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>>` | `getFlowAgentIfaceMap()`
    `InetDeviceMap.InetDeviceMapItem` | `getParent()`
    `ParameterMap` | `getSelfConfig()` Конфигурация самого устройства + типа устройства.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDeviceMapItem

          public InetDeviceMapItem(InetDeviceMap.InetDeviceMapItem parent,
                                   InetDevice device,
                                   ParameterMap config,
                                   ParameterMap selfConfig,
                                   java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>> flowAgentIfaceMap)

  - ### Method Detail

    - #### getParent

          public InetDeviceMap.InetDeviceMapItem getParent()

    - #### getDevice

          public InetDevice getDevice()

    - #### getConfig

          public ParameterMap getConfig()

      Конфигурация с наследованием от устройств-предков.
      Returns:

    - #### getSelfConfig

          public ParameterMap getSelfConfig()

      Конфигурация самого устройства + типа устройства.
      Returns:

    - #### getFlowAgentIfaceMap

          public java.util.Map<java.lang.Integer,java.util.List<java.lang.Integer>> getFlowAgentIfaceMap()

    - #### getDescendantIds

          public java.util.Set<java.lang.Integer> getDescendantIds()

      ID всех потомков.

    - #### getAncestorIds

          public java.util.Set<java.lang.Integer> getAncestorIds()

      ID всех предков.

    - #### findRoot

          public InetDeviceMap.InetDeviceMapItem findRoot(java.util.Set<java.lang.Integer> rootDeviceTypeId)